@import "./../../../../../styles/colors.scss";

.starship-card {
    background-color: $white;
    display: flex;
    box-shadow: 0px 1px 4px 0px #C2C2C2;
    &__content {
        width: 60%;
        padding: 1.2em;
        &__header {
            height: 65px;
            display: flex;
            justify-content: space-between;
            &__title {
                display: flex;
                h3 {
                    overflow: hidden;
                    text-overflow: -o-ellipsis-lastline;
                    text-overflow: ellipsis;
                    display: block;
                    /* autoprefixer: off */
                    display: -webkit-box;
                    -webkit-line-clamp: 1;
                    -webkit-box-orient: vertical;
                    font-weight: bold;
                }
            }
            &__actions {
                display: flex;
            }
        }
        &__description {
            height: 60px;
            p {
                overflow: hidden;
                text-overflow: -o-ellipsis-lastline;
                text-overflow: ellipsis;
                display: block;
                /* autoprefixer: off */
                display: -webkit-box;
                -webkit-line-clamp: 2;
                -webkit-box-orient: vertical;
            }
        }
        &__footer {
            height: 50px;
        }
    }
    &__image {
        display: flex;
        justify-content: flex-end;
        background-color: $secondary;
        background-size: cover;
        background-position: center center;
        width: 40%;
        &__tag {
            background-color: $red;
            margin: 10px;
            padding: 5px 10px;
            color: white;
            height: 30px;
        }
    }
}

